<nav class="navbar bg-light navbar-expand-lg fixed-top" *ngIf="user.mail">
    <a id="web-header" class="navbar-brand" href="#" style="max-width: 212px;">
        <div *ngIf="user.orga_img_url.includes('https')">
            <span><img src="{{user.orga_img_url ? user.orga_img_url : 'assets/images/orga.png'}}" style="height: 40px;" class="img-fluid" /></span>
        </div>
        <div *ngIf="!user.orga_img_url.includes('https')">
            <span><i class="fa fa-2x fa-industry"></i></span>
        </div>
    </a>
    <div id="mobile-header" class="navbar-brand" style="max-width: 341px;">
        <div *ngIf="user.orga_img_url.includes('https')" class="width-img">
            <img src="{{user.orga_img_url ? user.orga_img_url : 'assets/images/orga.png'}}" style="height: 40px;" class="img-fluid" />
        </div>

        <div *ngIf="!user.orga_img_url.includes('https')" class="width-img">
            <span><i class="fa fa-2x fa-industry"></i></span>
        </div>
        <div class="user row user-row">
            <div class="marg-img">
                <div *ngIf="user.img_url.includes('https')" (click)="checkProfil()">
                    <img src="{{user.img_url ? user.img_url : 'assets/images/orga.png'}}" class="img-fluid on-focus img-user" />
                </div>
                <div *ngIf="!user.img_url.includes('https')" (click)="checkProfil()">
                    <span class="on-focus"><i class="fa fa-2x fa-user" style="color:#616161;"></i></span>
                </div>
                <div class="profil-user" *ngIf="hide_profil" (click)="checkProfil()">
                    <div class="nom2">{{user.prenom + ' '+ user.nom}}</div>
                    <div class="connexion2">{{ user.poste | slice:0:20}}</div>
                </div>
            </div>
            <div class="deco">
                <svg (click)="onLoggedout(deconnexion)" height="512pt" viewBox="1 0 511 512" width="512pt" xmlns="http://www.w3.org/2000/svg"><path transform="scale(-1,1) translate(-500,0)" d="m135.738281 361.070312c7.140625 8.425782 6.097657 21.046876-2.328125 28.1875-8.4375 7.148438-21.058594 6.085938-28.1875-2.328124l-100.007812-118c-6.378906-7.523438-6.191406-18.558594 0-25.859376l100.007812-118c7.140625-8.429687 19.761719-9.46875 28.1875-2.328124 8.425782 7.140624 9.46875 19.761718 2.328125 28.1875l-72.097656 85.070312h355.042969c11.046875 0 20.003906 8.953125 20.003906 20s-8.957031 20-20.003906 20h-355.042969zm356.761719-361.070312h-173.820312c-11.046876 0-20 8.953125-20 20s8.953124 20 20 20h153.816406v432h-153.816406c-11.046876 0-20 8.953125-20 20s8.953124 20 20 20h173.820312c11.042969 0 20-8.953125 20-20v-472c0-11.046875-8.957031-20-20-20zm0 0"/></svg>
                <!-- <img src="assets/images/deco.png" style="cursor: pointer; height: 65%;" > -->
            </div>
        </div>
        <li class="nav-item dropdown lang lang-mobile" ngbDropdown>
                <a href="javascript:void(0)" class="nav-link nav-lang" ngbDropdownToggle>
                    <span class="flag-icon flag-icon-{{ translate.currentLang == 'en' ? 'gb' : 'fr'  }} flag-icon-squared flag-lang"></span><span style="font-size: 17px;"> {{ translate.currentLang | uppercase }}  <b class="caret"></b></span>
                </a>
                <div class="dropdown-menu-right sub-menu" ngbDropdownMenu>
                    <a class="dropdown-item" (click)="changeLang('fr')">
                        <span class="flag-icon flag-icon-fr flag-icon-squared"></span> FR
                    </a>
                    <a class="dropdown-item" (click)="changeLang('en')">
                        <span class="flag-icon flag-icon-gb flag-icon-squared"></span> EN
                    </a>
                </div>
            </li>
    </div>
    <!-- <button class="navbar-toggler" type="button" (click)="toggleSidebar()">
        <i class="fa fa-bars text-muted" aria-hidden="true"></i>
    </button> -->

    <div class="collapse navbar-collapse last_conn">


        <!-- <form class="form-inline my-2 my-lg-0">
            <input class="form-control mr-sm-2" type="text" placeholder="{{ 'Search' | translate }}" >
        </form> -->
        <ul class="navbar-nav ml-auto" >
                <div class="user row">
                        <div *ngIf="last_conn"  style="display: flex; flex-direction: row; position: absolute; z-index: 100; padding-left: 8px">
                      
                            <!-- <div *ngIf="!user.img_url.includes('https')" style="z-index: 100; margin-top: 6px;">
                                <span class="rounded-circle user-avatar"><i class="fa fa-2x fa-user" style="color:#616161;"></i></span>
                            </div> -->

                            <div  class="avatar-users" *ngFor="let team of last_conn;index as i">
                               <!-- {{ team.last_connection }} -->
                                <div class="image-cropper" (mouseover)="checkProfil(team)"  (mouseleave)="leaveProfil(team)" [ngStyle]="shadeOfGraysTeam(i)" >
                                    <span class="avatar-initial disable-select">{{ customersInitials[team.key] }}</span>
                                    <!-- <img src="{{ ((team.img_url != '' ? (team.img_url.includes('https') ? team.img_url : defaultImgTeam[i].image) : defaultImgTeam[i].image)) }}" class="rounded-circle user-avatar on-hover" alt="Cinque Terre"> -->
                                </div>
        
                                 <div  *ngIf="infoTeam[team.key] && team.last_connection" class="profil-user" >
                                     <div class="nom">{{team.prenom}} {{team.nom}}</div>
                                     <div class="connexion">{{ "Connexion le" | translate }} {{team.last_connection}}</div>
                                 </div>
                                 <div *ngIf="infoTeam[team.key] && !team.last_connection" class="profil-user">
                                     <div class="nom">{{team.prenom}} {{team.nom}}</div>
                                     <div class="connexion">{{ "Pas encore connecté" | translate}}</div>
                                 </div>
                             
                            </div>
                        </div>
                        <ng-template #popoverequipe>{{ lang('pop_equipe') }}</ng-template>
                        <div [ngStyle]="{'margin-left': (last_conn ? (34+(last_conn.length*20)) : 54)+'px', 'margin-right': '16px', 'z-index': '101'}">
                            <p class="team" [ngbPopover]="popoverequipe" placement="bottom" triggers="mouseenter:mouseleave">{{ lang("Equipe") | titlecase }}</p>
                        </div>
  
                </div>

            <div class="user row">
                <div  style="display: flex; flex-direction: row; position: absolute; z-index: 100; padding-left: 8px">
                    <div style="z-index : 100;" class="image-cropper" [ngStyle]="shadeOfGraysTeam(0)">
                        <span class="avatar-initial disable-select">{{customersInitials['user']}}</span>
                        <!-- <img src="{{user.img_url.includes('https') ? user.img_url : defaultImgUser[0]}}" class="rounded-circle user-avatar" /> -->
                       

                        <!-- <img style="height: 70px" src="{{ client.img_url }}" alt="client avatar" class="img-thumbnail img-fluid"> -->
                    </div>
                    <!-- <div *ngIf="!user.img_url.includes('https')" style="z-index: 100; margin-top: 6px;">
                        <span class="rounded-circle user-avatar"><i class="fa fa-2x fa-user" style="color:#616161;"></i></span>
                    </div> -->
                   
                </div>
                <ng-template #popyou> {{ lang('pop_you') }} </ng-template>
                <div  style="margin-left: 58px;" >
                    <p class="username" [ngbPopover]="popyou" placement="bottom" triggers="mouseenter:mouseleave"  >{{ user.prenom + ' '+ user.nom }}</p>
                    <!-- <p class="user-function">{{ user.poste | slice:0:22 }}</p> -->
                </div>
                <ng-template #btnlogout>{{ lang('pop_log_out') }}</ng-template>
                <div  style="margin-left: 14px;padding-top: 13px;margin-right: 12px;" [ngbPopover]="btnlogout" placement="bottom" triggers="mouseenter:mouseleave">
                    <svg  (click)="onLoggedout(deconnexion)"  width="22px" height="22px"  xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.1" x="0px" y="0px" viewBox="0 0 32 40" style="enable-background:new 0 0 32 32;" xml:space="preserve"><style type="text/css">
                        .st0{fill:#231F20;}
                    </style><g><g><path class="st0" d="M29.3,16.8h-23c-0.4,0-0.8-0.3-0.8-0.8s0.3-0.8,0.8-0.8h23c0.4,0,0.8,0.3,0.8,0.8S29.7,16.8,29.3,16.8z"/></g><g><g><path class="st0" d="M22.4,23.3c-0.2,0-0.4-0.1-0.5-0.2c-0.3-0.3-0.3-0.8,0-1.1l6.3-6l-6.3-6c-0.3-0.3-0.3-0.8,0-1.1     c0.3-0.3,0.8-0.3,1.1,0l6.9,6.5c0.1,0.1,0.2,0.3,0.2,0.5s-0.1,0.4-0.2,0.5l-6.9,6.5C22.8,23.2,22.6,23.3,22.4,23.3z"/></g></g><g><path class="st0" d="M17.7,30h-15C2.3,30,2,29.7,2,29.3V2.8C2,2.3,2.3,2,2.8,2h15c0.4,0,0.8,0.3,0.8,0.8V6c0,0.4-0.3,0.8-0.8,0.8    S17,6.4,17,6V3.5H3.5v25H17V26c0-0.4,0.3-0.8,0.8-0.8s0.8,0.3,0.8,0.8v3.2C18.5,29.7,18.2,30,17.7,30z"/></g></g><text x="0" y="47" fill="#000000" font-size="5px" font-weight="bold" font-family="'Helvetica Neue', Helvetica, Arial-Unicode, Arial, Sans-serif">Created by Royyan Wijaya</text><text x="0" y="52" fill="#000000" font-size="5px" font-weight="bold" font-family="'Helvetica Neue', Helvetica, Arial-Unicode, Arial, Sans-serif">from the Noun Project</text></svg>
                    <!-- <svg  (click)="onLoggedout(deconnexion)"  width="17px" height="16px" viewBox="0 0 17 16" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
   
                        <g id="Maquettes" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                            <g id="10.01-Home-Carte" transform="translate(-1188.000000, -32.000000)" fill="#131416">
                                <g id="04-Nav-/-Desk-Header">
                                    <g id="01-Icon-/-24-More" transform="translate(1184.000000, 28.000000)">
                                        <path fill="#616161" d="M7,6 L6,6 L6,18 L7,18 C7.55228475,18 8,18.4477153 8,19 C8,19.5522847 7.55228475,20 7,20 L5,20 C4.44771525,20 4,19.5522847 4,19 L4,5 C4,4.44771525 4.44771525,4 5,4 L7,4 C7.55228475,4 8,4.44771525 8,5 C8,5.55228475 7.55228475,6 7,6 Z M20.82,11.42 C21.0708853,11.7757581 21.0627974,12.2529484 20.8,12.6 L17.8,16.6 C17.6111456,16.8518058 17.3147573,17 17,17 C16.7836298,17 16.5730962,16.9298221 16.4,16.8 C16.1878268,16.6408701 16.0475578,16.4039723 16.0100505,16.1414214 C15.9725432,15.8788704 16.0408701,15.6121732 16.2,15.4 L18,13 L10,13 C9.44771525,13 9,12.5522847 9,12 C9,11.4477153 9.44771525,11 10,11 L18.09,11 L16.37,8.58 C16.2150095,8.3629079 16.1531749,8.09289119 16.1982446,7.82998479 C16.2433143,7.56707839 16.3915524,7.33307413 16.61,7.18 C17.0604485,6.86393305 17.6816174,6.97118524 18,7.42 L20.82,11.42 Z" id="Combined-Shape"></path>
                                    </g>
                                </g>
                            </g>
                        </g>
                    </svg> -->
                  <!--   <svg (click)="onLoggedout(deconnexion)"  viewBox="1 0 511 512" width="12pt" stroke="#616161" stroke-width="25" xmlns="http://www.w3.org/2000/svg"><path transform="scale(-1,1) translate(-500,0)" fill="#616161" d="m135.738281 361.070312c7.140625 8.425782 6.097657 21.046876-2.328125 28.1875-8.4375 7.148438-21.058594 6.085938-28.1875-2.328124l-100.007812-118c-6.378906-7.523438-6.191406-18.558594 0-25.859376l100.007812-118c7.140625-8.429687 19.761719-9.46875 28.1875-2.328124 8.425782 7.140624 9.46875 19.761718 2.328125 28.1875l-72.097656 85.070312h355.042969c11.046875 0 20.003906 8.953125 20.003906 20s-8.957031 20-20.003906 20h-355.042969zm356.761719-361.070312h-173.820312c-11.046876 0-20 8.953125-20 20s8.953124 20 20 20h153.816406v432h-153.816406c-11.046876 0-20 8.953125-20 20s8.953124 20 20 20h173.820312c11.042969 0 20-8.953125 20-20v-472c0-11.046875-8.957031-20-20-20zm0 0"/></svg>-->
                    <!-- <img src="assets/images/deco.png" style="cursor: pointer; height: 50%;" (click)="onLoggedout(deconnexion)"> -->
                </div>
            </div>


            <div class="chart">
                <ng-template #p>{{lang("popover_tab_statistique")}}</ng-template>
                <!-- <svg (click)="generateChartPage()" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:cc="http://creativecommons.org/ns#" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:svg="http://www.w3.org/2000/svg" xmlns="http://www.w3.org/2000/svg" xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd" xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape" version="1.1" x="0px" y="0px" viewBox="0 0 100 125"><g transform="translate(0,-952.36218)"><g transform="translate(13.007875,975.32675)"><path d="m 41.988188,0.03543307 c -1.027559,0 -1.984252,0.95669294 -1.984252,1.98425203 l 0,50.0314979 c 0,1.027559 0.956693,1.984252 1.984252,1.984252 l 10.027559,0 c 1.027559,0 1.984252,-0.956693 1.984252,-1.984252 l 0,-50.0314979 C 53.964566,1.1338583 53.078739,0.03543307 52.015747,0.03543307 z m 2.019685,4.00393713 5.988189,0 0,45.9921278 -5.988189,0 z M 22.003937,8.0433073 c -1.062992,0 -2.019685,0.956693 -2.019685,1.9842517 l 0,42.023624 c 0,1.027559 0.956693,1.984252 2.019685,1.984252 l 9.992125,0 c 1.062993,0 2.019685,-0.956693 2.019685,-1.984252 l 0,-42.023624 C 33.980314,9.1417326 33.094488,8.0433073 31.996062,8.0433073 z m 1.984252,4.0039367 6.023622,0 0,37.984254 -6.023622,0 z M 1.9842519,16.051182 C 0.9566929,16.051182 0,16.972441 0,18.035434 l 0,34.015749 c 0,1.027559 0.9566929,1.984252 1.9842519,1.984252 l 10.0275591,0 c 1.027559,0 1.984252,-0.956693 1.984252,-1.984252 l 0,-34.015749 c -0.03543,-0.885827 -0.92126,-1.984252 -1.984252,-1.984252 z m 2.019685,3.968504 5.9881889,0 0,30.011812 -5.9881889,0 z m 58.0039361,4.003937 c -1.062992,0 -2.019685,0.956693 -2.019685,2.019685 l 0,26.007875 c 0,1.027559 0.956693,1.984252 2.019685,1.984252 l 9.992126,0 c 1.062992,0 1.984252,-0.956693 1.984252,-1.984252 l 0,-26.007875 c 0,-0.92126 -0.885827,-2.019685 -1.984252,-2.019685 z m 1.984252,4.003937 6.023622,0 0,22.003938 -6.023622,0 z" style="cursor:pointer;" fill="#000000" fill-opacity="1" fill-rule="nonzero" stroke="none"/></g></g></svg> -->
                <img (click)="generateChartPage()" src="assets/images/chart-btn.png" alt="" style="width: 85%; cursor: pointer;"
                placement="bottom"
                triggers="mouseenter:mouseleave"
                [ngbPopover]="p"
                 
                >
            </div>
            <ng-template #transfr>{{ lang('pop_lang_fr') }}</ng-template>
            <ng-template #transen>{{ lang('pop_lang_en') }}</ng-template>
            <div class="user row">
                <p class="username ">
                    <span (click)="changeLang('en')" class="pointer {{ translate.currentLang == 'en' ? '' : 'text-muted'  }} " [ngbPopover]="transen" placement="bottom" triggers="mouseenter:mouseleave">
                        EN
                    </span> /
                    <span (click)="changeLang('fr')" class="pointer {{ translate.currentLang == 'fr' ? '' : 'text-muted'  }} " [ngbPopover]="transfr" placement="bottom" triggers="mouseenter:mouseleave">FR</span>
                
                </p>
            </div>
      
            <div class="user row" *ngIf="userInfo" style="overflow: visible;">
                <p class="username section-app">

                    <span>BlaBlaReport <sup>©</sup></span>

                  
                    <!-- <span *ngIf=" user.app_1.trim().toLowerCase() === 'sol' || user.app_2.trim().toLowerCase() === 'sol' "  class="text-muted" style="cursor: pointer;" (click)="switchApp()">
                        <span  >{{ ("ProfilBiodiversité"| translate)  }} <sup>©</sup> </span>
                    </span>
                    <ng-template #popContent>{{lang("access_app_denied")}}</ng-template>
                    <span  *ngIf=" user.app_1.trim().toLowerCase() !== 'sol' && user.app_2.trim().toLowerCase() !== 'sol' "  class="text-muted" style="cursor: pointer;"  placement="bottom" [ngbPopover]=" popContent ">
                        <span>{{ ("ProfilBiodiversité"| translate)  }} <sup>©</sup> </span>
                    </span> -->
                </p>
                
            </div>
                
        </ul>
    </div>

</nav>

<ng-template #deconnexion let-c="close" let-d="dismiss" style="z-index: 9999999999999999">
    <div class="modal-header" style="display: none; z-index: 9999999999999999">

    </div>
    <div class="modal-body" style="padding: 2.7rem;">
        <h5 class="modal-title">{{ lang("Etes-vous sûre de vouloir vous déconnecter ?") }}</h5>
        <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
            <span aria-hidden="true" class="fermer">&times;</span>
        </button>
        <p class="text-deco">{{"Vous vous Apprêter à être déconnecté de la plateforme," | translate}}</p>
        <p>{{"merci de confirmer la déconnexion." | translate}}</p>
        <div style="float:right;">
            <button class="btn" aria-label="Close" (click)="d('Cross click')" style="margin-right: 5px;color: #1b4f9d;">{{ "Annuler" | translate }}</button>
            <button class="btn btn-primary" (click)="d('Cross click')" style="background-color: #1b4f9d;" [routerLink]="['/login']">{{ "Se déconnecter" | translate }}</button>
        </div>
    </div>
</ng-template>
